Allow a person to give the drugs
Adds the person, or changes their certification. Needs admin on Animals.
PUT
https://{organization}.rescueconsole.com
/
api
/
animals
/
controlled-drugs
/
handlers
/
{personId}
Allow a person to give the drugs
curl --request PUT \
--url https://{organization}.rescueconsole.com/api/animals/controlled-drugs/handlers/{personId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"certification": "<string>",
"certified_on": "2023-12-25"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({certification: '<string>', certified_on: '2023-12-25'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/controlled-drugs/handlers/{personId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/controlled-drugs/handlers/{personId}"
payload = {
"certification": "<string>",
"certified_on": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"drugs": [
{
"id": "<string>",
"name": "<string>",
"form": "<string>",
"concentration": "<string>",
"unit": "mL",
"schedule": "II",
"is_active": true
}
],
"bottles": [
{
"id": "<string>",
"drug_id": "<string>",
"bottle_label": "<string>",
"lot": "<string>",
"expires_on": "<string>",
"received_on": "2023-12-25",
"quantity_received": 123,
"supplier_name": "<string>",
"supplier_address": "<string>",
"supplier_dea_number": "<string>",
"order_reference": "<string>",
"closed_on": "<string>",
"balance": 123
}
],
"handlers": [
{
"person_id": "<string>",
"name": "<string>",
"certification": "<string>",
"certified_on": "<string>"
}
],
"settings": {
"registrant_name": "<string>",
"registrant_address": "<string>",
"dea_number": "<string>",
"require_on_euthanasia": true
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
⌘I
Allow a person to give the drugs
curl --request PUT \
--url https://{organization}.rescueconsole.com/api/animals/controlled-drugs/handlers/{personId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"certification": "<string>",
"certified_on": "2023-12-25"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({certification: '<string>', certified_on: '2023-12-25'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/controlled-drugs/handlers/{personId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/controlled-drugs/handlers/{personId}"
payload = {
"certification": "<string>",
"certified_on": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"drugs": [
{
"id": "<string>",
"name": "<string>",
"form": "<string>",
"concentration": "<string>",
"unit": "mL",
"schedule": "II",
"is_active": true
}
],
"bottles": [
{
"id": "<string>",
"drug_id": "<string>",
"bottle_label": "<string>",
"lot": "<string>",
"expires_on": "<string>",
"received_on": "2023-12-25",
"quantity_received": 123,
"supplier_name": "<string>",
"supplier_address": "<string>",
"supplier_dea_number": "<string>",
"order_reference": "<string>",
"closed_on": "<string>",
"balance": 123
}
],
"handlers": [
{
"person_id": "<string>",
"name": "<string>",
"certification": "<string>",
"certified_on": "<string>"
}
],
"settings": {
"registrant_name": "<string>",
"registrant_address": "<string>",
"dea_number": "<string>",
"require_on_euthanasia": true
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
